package globals

// This set of consts is intended to be a place to collect commonly-used field
// names. Since these might be used outside of the internal code (e.g. by SDK or
// CLI), it's outside internal/ here in globals. Some of these are already const
// elsewhere in the code but we should migrate to using a single source.
const (
	IdField                          = "id"
	VersionField                     = "version"
	NameField                        = "name"
	DescriptionField                 = "description"
	CreatedTimeField                 = "created_time"
	UpdatedTimeField                 = "updated_time"
	TypeField                        = "type"
	AttributesField                  = "attributes"
	ScopeIdField                     = "scope_id"
	ScopeField                       = "scope"
	AuthMethodIdField                = "auth_method_id"
	AccountIdField                   = "account_id"
	UserIdField                      = "user_id"
	IsPrimaryField                   = "is_primary"
	AuthorizedActionsField           = "authorized_actions"
	AuthorizedCollectionActionsField = "authorized_collection_actions"
	ExpirationTimeField              = "expiration_time"
	ApproximateLastUsedTimeField     = "approximate_last_used_time"
	MembersField                     = "members"
	MemberIdsField                   = "member_ids"
	HostCatalogIdField               = "host_catalog_id"
	HostSetIdsField                  = "host_set_ids"
	HostIdsField                     = "host_ids"
	PrincipalIdsField                = "principal_ids"
	PrincipalsField                  = "principals"
	GrantScopeIdField                = "grant_scope_id"
	GrantsField                      = "grants"
	GrantStringsField                = "grant_strings"
	PrimaryAuthMethodId              = "primary_auth_method_id"
	TargetIdField                    = "target_id"
	HostIdField                      = "host_id"
	HostSetIdField                   = "host_set_id"
	HostSetsField                    = "host_sets"
	AuthTokenIdField                 = "auth_token_id"
	EndpointField                    = "endpoint"
	CertificateField                 = "certificate"
	TerminationReasonField           = "termination_reason"
	StatusField                      = "status"
	StatesField                      = "states"
	SessionConnectionLimitField      = "session_connection_limit"
	SessionMaxSecondsField           = "session_max_seconds"
	WorkerFilterField                = "worker_filter"
	AccountIdsField                  = "account_ids"
	AccountsField                    = "accounts"
	LoginNameField                   = "login_name"
	FullNameField                    = "full_name"
	PrimaryAccountIdField            = "primary_account_id"
	EmailField                       = "email"
)
